Show Menu
SUJETS×

Fonctionnalités obsolètes et supprimées

Adobe évalue constamment les fonctionnalités des produits pour identifier celles qui devraient être remplacées par des solutions plus modernes afin d’offrir une plus grande valeur ajoutée, et ce en prenant toujours en compte la rétrocompatibilité Comme Adobe Campaign Classic fonctionne avec des outils tiers, la compatibilité est mise à jour régulièrement, afin de mettre en oeuvre uniquement les versions prises en charge. Les versions qui ne sont plus compatibles avec Adobe Campaign Classic sont répertoriées ci-dessous.
Pour communiquer la suppression ou le remplacement imminent des fonctionnalités Campaign Classic, les règles suivantes s’appliquent :
  • L’annonce de l’obsolescence vient en premier. Les fonctionnalités obsolètes sont encore disponibles pour les utilisateurs existants, elles ne seront plus améliorées ni documentées.
  • La suppression de fonctionnalités obsolètes aura lieu au plus tôt dans la version suivante. La date de suppression prévue est annoncée sur cette page.
Cette procédure laisse aux clients au moins un cycle de publication pour s’adapter à une nouvelle version ou au successeur d’une fonctionnalité supprimée avant la suppression définitive.
Les versions et nouvelles fonctionnalités d’Adobe Campaign sont répertoriées dans les Notes de mise à jour .

Deprecated features

Cette section liste les fonctionnalités qui ont été marquées comme obsolètes avec les dernières versions de Campaign Classic.
En règle générale, les fonctionnalités qui doivent être supprimées dans une version ultérieure sont définies comme étant obsolètes dans un premier temps et une solution de remplacement est fournie. Ces fonctionnalités ne sont plus disponibles pour les nouveaux clients Campaign Classic ou ne doivent pas être utilisées pour une nouvelle mise en oeuvre. Elles sont également supprimées de la documentation du produit.
Il est conseillé aux clients d’évaluer dans quelle mesure ils utilisent la fonctionnalité dans leur déploiement actuel et d’envisager de modifier leur implémentation pour utiliser la solution de remplacement proposée. Référez-vous aux dates de suppression prévues pour planifier les mises à jour de votre environnement et de vos projets en conséquence.

Adobe Campaign 18.6 release

Zone Fonctionnalité Remplacement
Sécurité SDK JavaScript   decryptString  
Pour des raisons de sécurité, l’API decryptString n’est plus disponible par défaut pour les nouvelles installations.
In the context of a postupgrade to 18.6 (and later), this API is no longer activated, and has been replaced by the decryptPassword function.
 

Adobe Campaign 18.4 release

Zone Fonctionnalité Remplacement
Archivage des emails   Archivage basé sur des fichiers  
L’archivage des e-mails est désormais disponible par le biais d’une adresse de messagerie Cci dédiée. En savoir plus .
Date de suppression de la Cible : Version Campaign 20.2 - juin 2020
 
Gestion des pistes   Leads  
Le module de gestion des pistes d'Adobe Campaign Classic a simplifié le processus de création et de gestion de l'ensemble du cycle de vie de la gestion des pistes. Des fonctionnalités similaires peuvent être implémentées via d’autres activités de processus natives et des modifications de modèles de données.
Date de suppression de la Cible : Version Campaign 20.2 - juin 2020
 

Compatibilité obsolète

Adobe Campaign 20.1 release

À compter de la version de février 20.1, le système suivant est obsolète pour Campaign Classic. La compatibilité prendra fin dans la version 20.2 - juin 2020.
Zone Remplacement
Console cliente Campaign Classic 32 bits  
Console cliente Campaign Classic 64 bits
 

Adobe Campaign 19.2 release

À compter de la version de l'automne 19.2, les systèmes d’exploitation suivants sont obsolètes pour Campaign Classic. La compatibilité ne sera plus assurée à partir de la fin de l’année 2020.
Reportez-vous à la matrice de compatibilité pour effectuer une mise à jour vers une nouvelle version ou passer à un nouveau système.

Removed features

Cette section liste les fonctionnalités qui ont été supprimées de Campaign Classic.
Zone - Fonction Remplacement Version
Documentation des API Campaign - fichier jsapi.chm   Campaign Classic APIs are now available in a dedicated page. If you were using the jsapi.chm file, you should now refer to the new online version . 19.1
Orchestration Campaign - Marketing prédictif Une grande partie des capacités de marketing prédictif de Adobe Campaign Classic a été la consommation de modèles prédictifs. Bien que l’activité du processus de marketing prédictif soit supprimée dans une prochaine version, Adobe Campaign continuera à prendre en charge la consommation et l’utilisation de modèles prédictifs provenant de sources externes par le biais d’autres activités de processus. 18.10
Applications web - Microsites Améliorer la sécurité en limitant l'accès aux seuls domaines dédiés sur les fichiers de configuration Adobe Campaign. Vous pouvez toujours utiliser des URL personnalisées dans Campaign en utilisant des alias DNS. En savoir plus . 18.10
Notifications Push - Connecteur binaire iOS   Selon la recommandation d’Apple, Adobe supprimera le connecteur binaire iOS hérité. Le connecteur HTTP/2 plus performant et plus efficace est déjà disponible. 18.10
canal mobile - Messages MMS et WAP Push Les canaux MMS et Wap Push ne sont plus disponibles. À titre de remplacement, vous pouvez tirer parti des diffusions SMS et Push. 18.4
canal mobile - LINE v1 Le package LINE Connect n’est plus disponible pour l’installation dans Adobe Campaign Classic. Adobe recommande d’utiliser le nouveau package de Canal LINE pour envoyer des messages LINE. En savoir plus . 18.4

Fin de compatibilité

Adobe Campaign Classic est compatible avec tous les systèmes et outils répertoriés dans la matrice de compatibilité. Lorsque des versions spécifiques de ces systèmes et outils tiers atteignent la fin de vie (EOL) avec leurs créateurs respectifs, Adobe Campaign n’est plus compatible avec ces versions : elles sont déclarées comme obsolètes, puis sont supprimées de notre matrice de compatibilité dans la prochaine version du produit. Assurez-vous que vous utilisez les versions prises en charge de tous les systèmes répertoriés dans la matrice de compatibilité pour éviter tout problème.

Console client

Adobe Campaign Classic Client Console ne peut plus s’exécuter sur les systèmes suivants, car ils ont été abandonnés par leur éditeur. Les clients exécutant Campaign Client Console sur l’une de ces versions doivent effectuer la mise à niveau vers la version la plus récente avant la date de suppression de la cible. Reportez-vous à la matrice de compatibilité.
  • Windows Server 2003, 2008, 2008 R2
  • Windows XP, Vista

Systèmes d'exploitation

Depuis la version 19.1, Adobe Campaign n’est plus compatible avec les systèmes d’exploitation suivants.

Serveurs Web

Depuis la version du printemps 19.1, Adobe Campaign n’est plus compatible avec le serveur Web suivant.

Tools

Depuis la version du printemps 19.1, Adobe Campaign n’est plus compatible avec les outils suivants.

Moteurs de base de données

Adobe ne prend pas en charge les moteurs de base de données suivants, car ils ont été abandonnés par leur éditeur. Les clients exécutant ces versions doivent effectuer la mise à niveau vers la version la plus récente ou passer à une autre.
Consultez la matrice de compatibilité Campaign Classic pour accéder à la liste des versions compatibles.
FEDERATED DATA ACCESS (FDA)
Depuis la version du printemps 19.1, Adobe Campaign n’est plus compatible avec les serveurs de FDA suivants.
Campaign Classic n'est pas compatible avec les serveurs suivants dans Federated Data Access (FDA).
  • DB2 UDB 9.5, 9.7. Une version plus récente de DB2 est prise en charge via Federated Data Access (FDA). En savoir plus .
  • Oracle 9i, 10G R2. Les versions plus récentes d'Oracle sont prises en charge via Federated Data Access (FDA). En savoir plus .
  • PostgreSQL 8.3, 8.4, 9.0, 9.1, 9.2. Les versions plus récentes de PostgreSQL sont prises en charge via Federated Data Access (FDA). En savoir plus .
  • MSSQL 2000, 2005, 2008 R2. Les versions plus récentes de SQL Server sont prises en charge via Federated Data Access (FDA). En savoir plus .
  • MySQL 5.1. Les versions plus récentes de MySQL sont prises en charge via Federated Data Access (FDA). En savoir plus .
  • InfiniDB a atteint la fin de sa vie. En savoir plus .
  • Teradata 13, 13.1. Des versions plus récentes de Teradata sont prises en charge via Federated Data Access (FDA). En savoir plus .
  • Netezza 6.02, 7.0. Netezza atteint la fin de sa vie. En savoir plus .
  • AsterData 5.0. AsterData a atteint la fin de sa vie. En savoir plus .
  • Sybase IQ 15.2, 15.4, 15.5 et Sybase ASE 15.0. Des versions plus récentes de Sybase sont prises en charge par Federated Data Access (FDA). En savoir plus .
  • Hadoop via HiveSQL : Hadoop 2.7.3, HiveSQL 1.2.1. Adobe Campaign Classic continuera à prendre en charge les versions répertoriées de Hadoop via HiveSQL via Federated Data Access (FDA), mais ces versions sont fusionnées avec : HortonWorks (HDP 2.4.X, 2.5.x, 2.6.x) et HDInsight 3.4 (HDP 2.4), 3.5 (HDP 2.5), 3.6 (HDP 2.6)
SERVEUR RDBMS
Adobe Campaign n'est pas compatible avec les serveurs RDBMS suivants :
  • Oracle 10GR2, 11G
  • PostgreSQL 9.0 à 9.3
  • SQL Server 2005
  • MySQL 5.1
  • DB2 UDB 9.7